# Loki::CantResetWithStrong< P > Class Template Reference
[Reset policies]

`#include <StrongPtr.h>`

List of all members.

## Detailed Description

### template<class P>
class Loki::CantResetWithStrong< P >

Implementation of the ResetPolicy used by StrongPtr. This is the default ResetPolicy for StrongPtr. It forbids reset and release only if a strong copointer exists.

The documentation for this class was generated from the following file:

- StrongPtr.h